/* CSS Document */

/* --- スライダー＆コントロールパネル用スタイル --- */
.map-wrapper {
	border: 1px solid #e2e2e2;
	padding: 10px;
	margin-bottom: 15px;
	background: #fff;
	position: relative; 
}
.map-wrapper img {
	width: 100%;
	height: auto;
	display: block;
	cursor: pointer;
	transition: opacity 0.2s;
}
.map-wrapper img:hover {
	opacity: 0.7;
}
.box-caption {
	text-align: center;
	font-weight: bold;
	margin-bottom: 20px;
	line-height: 1.5;
}
.controls-wrapper {
	text-align: center;
	margin-bottom: 20px;
}
.timeline-container {
	display: flex;
	align-items: center;
	justify-content: center;
	gap: 10px;
	margin-bottom: 15px;
}
input[type="range"] {
	flex-grow: 1;
	cursor: pointer;
}
.dropdown-container {
	display: flex;
	justify-content: center;
	align-items: center;
	gap: 10px;
}
.dropdown-container select {
	padding: 5px 10px;
	font-size: 1em;
	border: 1px solid #ccc;
	border-radius: 4px;
	cursor: pointer;
	font-weight: bold;
	text-align: center
}
.nav-btn {
	background-color: #005096;
	color: #FFF;
	border: 1px solid #005096;
	border-radius: 4px;
	padding: 2px 12px;
	font-weight: bold;
	cursor: pointer;
	font-size: 1.1em;
	user-select: none;
}
.nav-btn:hover {
	opacity: 0.8
}
.nav-btn:disabled {
	color: #aaa;
	background-color: #eee;
	cursor: not-allowed;
}
#toggle-sync-btn {
	background-color: #f5f5f5; 
	border-color: #005096;
	color: #005096;
	padding: 10px 30px;
	font-size: 1.1em;
	font-weight: bold;
	border-radius: 30px;
	cursor: pointer;
	transition: all 0.3s;
	display: inline-flex;
	align-items: center;
	gap: 5px;
}
#toggle-sync-btn.unsynced {
	background-color: #005096;
	border: 1px solid #005096;
	color: #FFF;
}
.loading-overlay {
	position: absolute;
	top: 0;
	left: 0;
	width: 100%;
	height: 100%;
	background: rgba(255, 255, 255, 0.7);
	display: flex;
	justify-content: center;
	align-items: center;
	font-size: 1.5em;
	font-weight: bold;
	color: #005096;
	z-index: 10;
	opacity: 0;
	pointer-events: none;
	transition: opacity 0.2s;
}
.loading-overlay.active {
	opacity: 1;
}
.note {
	padding-left: 2em;
	text-indent: -2em;
	margin-bottom: 1em;
}